library(topGO)
library(Rgraphviz)
vitvi_145_12X<-readMappings("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topgo.gene2go.vitvi_145_12X.map")
vitvi_145_12X_gn<-names(vitvi_145_12X)
vitvi_145_12X_sel<-scan("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/lst/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.lst",what="")
vitvi_145_12X_glist<-factor(as.integer(vitvi_145_12X_gn %in% vitvi_145_12X_sel))
names(vitvi_145_12X_glist)<-vitvi_145_12X_gn
vitvi_145_12X_GOdata<-new("topGOdata",ontology="MF",allGenes=vitvi_145_12X_glist,annot=annFUN.gene2GO, gene2GO=vitvi_145_12X, nodeSize=5)
vitvi_145_12X_resultFis<-runTest(vitvi_145_12X_GOdata,algorithm="classic",statistic="fisher")
vitvi_145_12X_resultElim<-runTest(vitvi_145_12X_GOdata,algorithm="elim",statistic="fisher")
vitvi_145_12X_allRes<-GenTable(vitvi_145_12X_GOdata,classicFis=vitvi_145_12X_resultFis,elimFis=vitvi_145_12X_resultElim,ranksOf="classicFis", topNodes=100)
write.table(vitvi_145_12X_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.MF.tsv",sep="\t",quote=FALSE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.MF",useInfo="all",pdfSW=TRUE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.MF",useInfo="all",pdfSW=TRUE)
vitvi_145_12X_GOdata<-new("topGOdata",ontology="BP",allGenes=vitvi_145_12X_glist,annot=annFUN.gene2GO, gene2GO=vitvi_145_12X, nodeSize=5)
vitvi_145_12X_resultFis<-runTest(vitvi_145_12X_GOdata,algorithm="classic",statistic="fisher")
vitvi_145_12X_resultElim<-runTest(vitvi_145_12X_GOdata,algorithm="elim",statistic="fisher")
vitvi_145_12X_allRes<-GenTable(vitvi_145_12X_GOdata,classicFis=vitvi_145_12X_resultFis,elimFis=vitvi_145_12X_resultElim,ranksOf="classicFis", topNodes=100)
write.table(vitvi_145_12X_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.BP.tsv",sep="\t",quote=FALSE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.BP",useInfo="all",pdfSW=TRUE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.BP",useInfo="all",pdfSW=TRUE)
vitvi_145_12X_GOdata<-new("topGOdata",ontology="CC",allGenes=vitvi_145_12X_glist,annot=annFUN.gene2GO, gene2GO=vitvi_145_12X, nodeSize=5)
vitvi_145_12X_resultFis<-runTest(vitvi_145_12X_GOdata,algorithm="classic",statistic="fisher")
vitvi_145_12X_resultElim<-runTest(vitvi_145_12X_GOdata,algorithm="elim",statistic="fisher")
vitvi_145_12X_allRes<-GenTable(vitvi_145_12X_GOdata,classicFis=vitvi_145_12X_resultFis,elimFis=vitvi_145_12X_resultElim,ranksOf="classicFis", topNodes=100)
write.table(vitvi_145_12X_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.CC.tsv",sep="\t",quote=FALSE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.CC",useInfo="all",pdfSW=TRUE)
printGraph(vitvi_145_12X_GOdata,vitvi_145_12X_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_families_species.vitvi_145_12X.in_families.Ha412v1r1.vitvi_145_12X.CC",useInfo="all",pdfSW=TRUE)
