library(topGO)
library(Rgraphviz)
Ha412v1r1<-readMappings("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topgo.gene2go.Ha412v1r1.map")
Ha412v1r1_gn<-names(Ha412v1r1)
Ha412v1r1_sel<-scan("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/lst/protein_species_Ha412v1r1.specific.lst",what="")
Ha412v1r1_glist<-factor(as.integer(Ha412v1r1_gn %in% Ha412v1r1_sel))
names(Ha412v1r1_glist)<-Ha412v1r1_gn
Ha412v1r1_GOdata<-new("topGOdata",ontology="MF",allGenes=Ha412v1r1_glist,annot=annFUN.gene2GO, gene2GO=Ha412v1r1, nodeSize=5)
Ha412v1r1_resultFis<-runTest(Ha412v1r1_GOdata,algorithm="classic",statistic="fisher")
Ha412v1r1_resultElim<-runTest(Ha412v1r1_GOdata,algorithm="elim",statistic="fisher")
Ha412v1r1_allRes<-GenTable(Ha412v1r1_GOdata,classicFis=Ha412v1r1_resultFis,elimFis=Ha412v1r1_resultElim,ranksOf="classicFis", topNodes=100)
write.table(Ha412v1r1_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.MF.tsv",sep="\t",quote=FALSE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.MF",useInfo="all",pdfSW=TRUE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.MF",useInfo="all",pdfSW=TRUE)
Ha412v1r1_GOdata<-new("topGOdata",ontology="BP",allGenes=Ha412v1r1_glist,annot=annFUN.gene2GO, gene2GO=Ha412v1r1, nodeSize=5)
Ha412v1r1_resultFis<-runTest(Ha412v1r1_GOdata,algorithm="classic",statistic="fisher")
Ha412v1r1_resultElim<-runTest(Ha412v1r1_GOdata,algorithm="elim",statistic="fisher")
Ha412v1r1_allRes<-GenTable(Ha412v1r1_GOdata,classicFis=Ha412v1r1_resultFis,elimFis=Ha412v1r1_resultElim,ranksOf="classicFis", topNodes=100)
write.table(Ha412v1r1_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.BP.tsv",sep="\t",quote=FALSE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.BP",useInfo="all",pdfSW=TRUE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.BP",useInfo="all",pdfSW=TRUE)
Ha412v1r1_GOdata<-new("topGOdata",ontology="CC",allGenes=Ha412v1r1_glist,annot=annFUN.gene2GO, gene2GO=Ha412v1r1, nodeSize=5)
Ha412v1r1_resultFis<-runTest(Ha412v1r1_GOdata,algorithm="classic",statistic="fisher")
Ha412v1r1_resultElim<-runTest(Ha412v1r1_GOdata,algorithm="elim",statistic="fisher")
Ha412v1r1_allRes<-GenTable(Ha412v1r1_GOdata,classicFis=Ha412v1r1_resultFis,elimFis=Ha412v1r1_resultElim,ranksOf="classicFis", topNodes=100)
write.table(Ha412v1r1_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.CC.tsv",sep="\t",quote=FALSE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.CC",useInfo="all",pdfSW=TRUE)
printGraph(Ha412v1r1_GOdata,Ha412v1r1_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_Ha412v1r1.specific.CC",useInfo="all",pdfSW=TRUE)
