library(topGO)
library(Rgraphviz)
solyc2.4<-readMappings("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topgo.gene2go.solyc2.4.map")
solyc2.4_gn<-names(solyc2.4)
solyc2.4_sel<-scan("Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/lst/protein_species_solyc2.4.specific.lst",what="")
solyc2.4_glist<-factor(as.integer(solyc2.4_gn %in% solyc2.4_sel))
names(solyc2.4_glist)<-solyc2.4_gn
solyc2.4_GOdata<-new("topGOdata",ontology="MF",allGenes=solyc2.4_glist,annot=annFUN.gene2GO, gene2GO=solyc2.4, nodeSize=5)
solyc2.4_resultFis<-runTest(solyc2.4_GOdata,algorithm="classic",statistic="fisher")
solyc2.4_resultElim<-runTest(solyc2.4_GOdata,algorithm="elim",statistic="fisher")
solyc2.4_allRes<-GenTable(solyc2.4_GOdata,classicFis=solyc2.4_resultFis,elimFis=solyc2.4_resultElim,ranksOf="classicFis", topNodes=100)
write.table(solyc2.4_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.MF.tsv",sep="\t",quote=FALSE)
printGraph(solyc2.4_GOdata,solyc2.4_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.MF",useInfo="all",pdfSW=TRUE)
printGraph(solyc2.4_GOdata,solyc2.4_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.MF",useInfo="all",pdfSW=TRUE)
solyc2.4_GOdata<-new("topGOdata",ontology="BP",allGenes=solyc2.4_glist,annot=annFUN.gene2GO, gene2GO=solyc2.4, nodeSize=5)
solyc2.4_resultFis<-runTest(solyc2.4_GOdata,algorithm="classic",statistic="fisher")
solyc2.4_resultElim<-runTest(solyc2.4_GOdata,algorithm="elim",statistic="fisher")
solyc2.4_allRes<-GenTable(solyc2.4_GOdata,classicFis=solyc2.4_resultFis,elimFis=solyc2.4_resultElim,ranksOf="classicFis", topNodes=100)
write.table(solyc2.4_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.BP.tsv",sep="\t",quote=FALSE)
printGraph(solyc2.4_GOdata,solyc2.4_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.BP",useInfo="all",pdfSW=TRUE)
printGraph(solyc2.4_GOdata,solyc2.4_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.BP",useInfo="all",pdfSW=TRUE)
solyc2.4_GOdata<-new("topGOdata",ontology="CC",allGenes=solyc2.4_glist,annot=annFUN.gene2GO, gene2GO=solyc2.4, nodeSize=5)
solyc2.4_resultFis<-runTest(solyc2.4_GOdata,algorithm="classic",statistic="fisher")
solyc2.4_resultElim<-runTest(solyc2.4_GOdata,algorithm="elim",statistic="fisher")
solyc2.4_allRes<-GenTable(solyc2.4_GOdata,classicFis=solyc2.4_resultFis,elimFis=solyc2.4_resultElim,ranksOf="classicFis", topNodes=100)
write.table(solyc2.4_allRes,file="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.CC.tsv",sep="\t",quote=FALSE)
printGraph(solyc2.4_GOdata,solyc2.4_resultFis,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.CC",useInfo="all",pdfSW=TRUE)
printGraph(solyc2.4_GOdata,solyc2.4_resultElim,firstSigNodes=10,fn.prefix="Helan_Sollyc_Vitvi_pmatch_cutoff60.Ha412v1r1.solyc2.4.vitvi_145_12X.proteins.topGOdir/topGO/protein_species_solyc2.4.specific.CC",useInfo="all",pdfSW=TRUE)
